# Fuzzy CNOI Statement

Fuzzy CNOI Statement is a template for CNOI(Olympiad in Informatics in China)-style statements for competitive programming.

Fuzzy CNOI Statement 是一个 CNOI 题面排版风格的 Typst 模板。

It is mainly designed to mimic the appearance of official CNOI-style statements, which are usually generated by [TUACK](https://gitee.com/mulab/oi_tools).

其主要模仿国内 NOI 系列比赛官方题面的外观。这些题面一般由 [TUACK](https://gitee.com/mulab/oi_tools) 生成。

This template is not affiliated with the China Computer Federation (CCF) or the NOI Committee. When using this template, it is recommended to indicate the unofficial nature of the contest to avoid misunderstandings.

该模板与中国计算机学会（CCF）、NOI 委员会官方无关。在使用该模板时，建议标明比赛的非官方性质，以免造成误解。

## Usage
Here are the fonts that this template will use, you can change the font by passing parameters:\
以下是该模板会用到的字体，你可以通过传入参数的方式更换字体：
- Consolas
- New Computer Modern
- 方正书宋（FZShuSong-Z01S）
- 方正黑体（FZHei-B01S）
- 方正仿宋（FZFangSong-Z02S）
- 方正楷体（FZKai-Z03S）

```typ
// Define your contest information and problem list
// 定义比赛信息和题目列表

#let (init, title, problem-table, next-problem, filename, current-filename, current-sample-filename, data-constraints-table-args) = document-class(
  contest-info,
  prob-list,
)

#show: init

#title()

#problem-table()

*注意事项（请仔细阅读）*
+ ...

#next-problem()
== 题目描述
...
```

Refer to `main.typ` for a complete example.

`main.typ` 提供了一个完整的示例。
